WinPcap: pcap_addr Struct Reference

# pcap_addr Struct Reference
[Definitions]

Representation of an interface address, used by pcap_findalldevs(). More...

`#include <pcap.h>`

## Data Fields
struct pcap_addr * | next
| if not NULL, a pointer to the next element in the list; NULL for the last element of the list
struct sockaddr * | addr
| a pointer to a struct sockaddr containing an address
struct sockaddr * | netmask
| if not NULL, a pointer to a struct sockaddr that contains the netmask corresponding to the address pointed to by addr.
struct sockaddr * | broadaddr
| if not NULL, a pointer to a struct sockaddr that contains the broadcast address corre sponding to the address pointed to by addr; may be null if the interface doesn't support broadcasts
struct sockaddr * | dstaddr
| if not NULL, a pointer to a struct sockaddr that contains the destination address corre sponding to the address pointed to by addr; may be null if the interface isn't a point- to-point interface

## Detailed Description

Representation of an interface address, used by pcap_findalldevs().

Definition at line 161 of file incs/pcap.h.

## Field Documentation

struct sockaddr* addr`[read]`

a pointer to a struct sockaddr containing an address

Definition at line 163 of file incs/pcap.h.

struct sockaddr* broadaddr`[read]`

if not NULL, a pointer to a struct sockaddr that contains the broadcast address corre sponding to the address pointed to by addr; may be null if the interface doesn't support broadcasts

Definition at line 165 of file incs/pcap.h.

struct sockaddr* dstaddr`[read]`

if not NULL, a pointer to a struct sockaddr that contains the destination address corre sponding to the address pointed to by addr; may be null if the interface isn't a point- to-point interface

Definition at line 166 of file incs/pcap.h.

struct sockaddr* netmask`[read]`

if not NULL, a pointer to a struct sockaddr that contains the netmask corresponding to the address pointed to by addr.

Definition at line 164 of file incs/pcap.h.

struct pcap_addr* next`[read]`

if not NULL, a pointer to the next element in the list; NULL for the last element of the list

Definition at line 162 of file incs/pcap.h.

The documentation for this struct was generated from the following file:

- incs/pcap.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.